# Relative paths to "DRAMSys/library" because this file is included in
# "DRAMSys/library/library.pro"

# Simulation Files
DISTFILES += resources/simulations/ddr3-example.xml
DISTFILES += resources/simulations/ddr3-single-device.xml
DISTFILES += resources/simulations/ddr3-rgr.xml
DISTFILES += resources/simulations/ddr3-rgr00.xml
DISTFILES += resources/simulations/ddr3-rgr01.xml
DISTFILES += resources/simulations/ddr3-rgr02.xml
DISTFILES += resources/simulations/ddr3-rgr03.xml
DISTFILES += resources/simulations/ddr3-rgr04.xml
DISTFILES += resources/simulations/ddr3-rgr05.xml
DISTFILES += resources/simulations/ddr3-rgr06.xml
DISTFILES += resources/simulations/ddr3-rgr07.xml
DISTFILES += resources/simulations/ddr3-rgr08.xml
DISTFILES += resources/simulations/ddr3-rgr09.xml
DISTFILES += resources/simulations/ddr3-rgr10.xml
DISTFILES += resources/simulations/ddr3-rgr11.xml
DISTFILES += resources/simulations/ddr3-rgr12.xml
DISTFILES += resources/simulations/ddr3-rgr13.xml
DISTFILES += resources/simulations/ddr3-rgr14.xml
DISTFILES += resources/simulations/ddr3-rgr15.xml
DISTFILES += resources/simulations/ddr3-rgr16.xml
DISTFILES += resources/simulations/ddr3-rgr17.xml
DISTFILES += resources/simulations/ddr3-rgr18.xml
DISTFILES += resources/simulations/ddr3-rgr19.xml
DISTFILES += resources/simulations/ddr3-rgr20.xml
DISTFILES += resources/simulations/ddr3-rgr21.xml
DISTFILES += resources/simulations/ddr3-rgr22.xml
DISTFILES += resources/simulations/ddr3-rgr23.xml
DISTFILES += resources/simulations/ddr3-rgr24.xml
DISTFILES += resources/simulations/ddr3-rgr25.xml
DISTFILES += resources/simulations/ddr3-rgr26.xml
DISTFILES += resources/simulations/ddr3-rgr27.xml
DISTFILES += resources/simulations/ddr3-rgr28.xml
DISTFILES += resources/simulations/ddr3-rgr29.xml
DISTFILES += resources/simulations/ddr3-rgr30.xml
DISTFILES += resources/simulations/ddr3-rgr31.xml
DISTFILES += resources/simulations/ddr3-rgr32.xml
DISTFILES += resources/simulations/ddr3-rgr33.xml
DISTFILES += resources/simulations/ddr3-rgr34.xml
DISTFILES += resources/simulations/ddr3-rgr35.xml
DISTFILES += resources/simulations/ddr3-rgr36.xml
DISTFILES += resources/simulations/ddr3-rgr37.xml
DISTFILES += resources/simulations/ddr3-rgr38.xml
DISTFILES += resources/simulations/ddr3-rgr39.xml
DISTFILES += resources/simulations/ddr3-rgr40.xml
DISTFILES += resources/simulations/ddr3-rgr41.xml
DISTFILES += resources/simulations/ddr3-rgr42.xml
DISTFILES += resources/simulations/ddr3-rgr43.xml
DISTFILES += resources/simulations/ddr3-rgr44.xml
DISTFILES += resources/simulations/wideio-example.xml
DISTFILES += resources/simulations/wideio-ecc.xml
DISTFILES += resources/simulations/ddr3-ecc.xml
DISTFILES += resources/simulations/sms-example.xml
DISTFILES += resources/simulations/ddr3_postpone_ref_test.xml
DISTFILES += resources/simulations/rgrsim.xml
DISTFILES += resources/simulations/lpddr4-single-device.xml

# Simulator Files
DISTFILES += resources/configs/simulator/wideio.xml
DISTFILES += resources/configs/simulator/ddr3.xml
DISTFILES += resources/configs/simulator/ddr3-single-device.xml
DISTFILES += resources/configs/simulator/wideio_thermal.xml
DISTFILES += resources/configs/simulator/wideio_ecc.xml
DISTFILES += resources/configs/simulator/ddr3_ecc.xml
DISTFILES += resources/configs/simulator/sms.xml
DISTFILES += resources/configs/simulator/rgrsimcfg.xml
DISTFILES += resources/configs/simulator/lpddr4.xml

# Scripts
DISTFILES += resources/scripts/address_scrambler.pl
DISTFILES += resources/scripts/createTraceDB.sql
DISTFILES += resources/scripts/stride_detection.pl
DISTFILES += resources/scripts/analyse_trace.pl
DISTFILES += resources/scripts/video_rendering/temperatur.job.pl
DISTFILES += resources/scripts/video_rendering/temperatur.pl
DISTFILES += resources/scripts/video_rendering/Makefile
DISTFILES += resources/scripts/DRAMSylva/collect.sh
DISTFILES += resources/scripts/DRAMSylva/common.in
DISTFILES += resources/scripts/DRAMSylva/DRAMSylva.jobscript
DISTFILES += resources/scripts/DRAMSylva/DRAMSylva.sh
DISTFILES += resources/scripts/DRAMSylva/DRAMSylvaCSVPlot.py
DISTFILES += resources/scripts/DRAMSylva/DRAMSyrup.py
DISTFILES += resources/scripts/DRAMSylva/gem5ilva.jobscript
DISTFILES += resources/scripts/DRAMSylva/gem5ilva.sh
DISTFILES += resources/scripts/DRAMSylva/gem5ilva_fs.jobscript
DISTFILES += resources/scripts/DRAMSylva/gem5ilva_fs.sh
DISTFILES += resources/scripts/DRAMSylva/LICENSE
DISTFILES += resources/scripts/DRAMSylva/README
DISTFILES += resources/scripts/DRAMSylva/configs_json/configs.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsbrc.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsbrc1x.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsbrc1x_gem5.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsbrc2x.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsbrc2x_gem5.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsbrc4x.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsbrc4x_gem5.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc1x.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc1x_gem5.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc1x_gem5_fs.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc1x_gem5_fs_nodb.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc2x.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc2x_gem5.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc4x.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/configsrbc4x_gem5.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/ref.json
DISTFILES += resources/scripts/DRAMSylva/configs_json/ref_bw.json
DISTFILES += resources/scripts/trace_gen.py
DISTFILES += resources/scripts/traceGenerationForNNTraining.pl


# Trace Files
DISTFILES += resources/traces/chstone-aes_32.stl
DISTFILES += resources/traces/test2.stl
DISTFILES += resources/traces/voco2.stl
DISTFILES += resources/traces/chstone-bf_32.stl
DISTFILES += resources/traces/trace2.stl
DISTFILES += resources/traces/chstone-sha_32.stl
DISTFILES += resources/traces/prettyTest
DISTFILES += resources/traces/test.stl
DISTFILES += resources/traces/mediabench-mpeg2encode_32.stl
DISTFILES += resources/traces/mediabench-unepic_32.stl
DISTFILES += resources/traces/chstone-mips_32.stl
DISTFILES += resources/traces/mediabench-gsmdecode_32.stl
DISTFILES += resources/traces/mediabench-c-ray-1.1_32.stl
DISTFILES += resources/traces/eiersalat.stl
DISTFILES += resources/traces/mediabench-fractal_32.stl
DISTFILES += resources/traces/wideio_multi_channel.stl
DISTFILES += resources/traces/mediabench-g721decode_32.stl
DISTFILES += resources/traces/mediabench-jpegencode_32.stl
DISTFILES += resources/traces/chstone-jpeg_32.stl
DISTFILES += resources/traces/trace.stl
DISTFILES += resources/traces/mediabench-h263decode_32.stl
DISTFILES += resources/traces/mediabench-h263encode_32.stl
DISTFILES += resources/traces/mediabench-mpeg2decode_32.stl
DISTFILES += resources/traces/chstone-gsm_32.stl
DISTFILES += resources/traces/mediabench-epic_32.stl
DISTFILES += resources/traces/empty.stl
DISTFILES += resources/traces/mediabench-adpcmencode_32.stl
DISTFILES += resources/traces/chstone-adpcm_32.stl
DISTFILES += resources/traces/mediabench-jpegdecode_32.stl
DISTFILES += resources/traces/mediabench-g721encode_32.stl
DISTFILES += resources/traces/small.stl
DISTFILES += resources/traces/chstone-motion_32.stl
DISTFILES += resources/traces/mediabench-adpcmdecode_32.stl
DISTFILES += resources/traces/ddr3_example.stl
DISTFILES += resources/traces/ddr3_exampleb.stl
DISTFILES += resources/traces/ddr3_rgr.stl
DISTFILES += resources/traces/ddr3_single_dev_example.stl
DISTFILES += resources/traces/ddr3_SAMSUNG_M471B5674QH0_DIMM_example.stl
DISTFILES += resources/traces/test_ecc.stl
DISTFILES += resources/traces/sms_t1.stl
DISTFILES += resources/traces/sms_t2.stl
DISTFILES += resources/traces/sms_t3.stl
DISTFILES += resources/traces/sms_t4.stl
DISTFILES += resources/traces/ddr3_postpone_ref_test_1.stl
DISTFILES += resources/traces/ddr3_postpone_ref_test_2.stl
DISTFILES += resources/traces/ddr3_postpone_ref_test_3.stl
DISTFILES += resources/traces/ip*.stl
DISTFILES += resources/traces/rgr*.stl
DISTFILES += resources/traces/read_write_switch.stl

# Memory Controller Configs
DISTFILES += resources/configs/mcconfigs/fifoStrict.xml
DISTFILES += resources/configs/mcconfigs/fifo.xml
DISTFILES += resources/configs/mcconfigs/fr_fcfs.xml
DISTFILES += resources/configs/mcconfigs/par_bs.xml
DISTFILES += resources/configs/mcconfigs/fifo_ecc.xml
DISTFILES += resources/configs/mcconfigs/sms.xml
DISTFILES += resources/configs/mcconfigs/rgrmccfg.xml
DISTFILES += resources/configs/mcconfigs/grp.xml
DISTFILES += resources/configs/mcconfigs/fr_fcfs_rp.xml
DISTFILES += resources/configs/mcconfigs/fr_fcfs_grp.xml

# Memspecs
DISTFILES += resources/configs/memspecs/memspec.dtd
DISTFILES += resources/configs/memspecs/MatzesWideIO.xml
DISTFILES += resources/configs/memspecs/DDR4.xml
DISTFILES += resources/configs/memspecs/MatzesWideIO-short.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1600_8bit_G.xml
DISTFILES += resources/configs/memspecs/JEDEC_256Mb_WIDEIO_SDR-200_128bit.xml
DISTFILES += resources/configs/memspecs/JEDEC_256Mb_WIDEIO_SDR-266_128bit.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR2-1066_16bit_H.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR2-800_16bit_H.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_16bit_G.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_16bit_G_2s.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_16bit_G_3s.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_16bit_G_mu.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_8bit_G.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_8bit_G_2s.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_8bit_G_3s.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1066_8bit_G_mu.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1600_8bit_G.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1600_8bit_G_2s.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1600_8bit_G_3s.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1600_8bit_G_mu.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1066_8bit_D.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1066_8bit_D_2s.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1066_8bit_D_3s.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1066_8bit_D_mu.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1600_16bit_D.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1600_16bit_D_2s.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1600_16bit_D_3s.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_DDR3-1600_16bit_D_mu.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_LPDDR-266_16bit_A.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_LPDDR-333_16bit_A.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_LPDDR2-1066-S4_16bit_A.xml
DISTFILES += resources/configs/memspecs/MICRON_2Gb_LPDDR2-800-S4_16bit_A.xml
DISTFILES += resources/configs/memspecs/MICRON_4Gb_DDR4-1866_8bit_A.xml
DISTFILES += resources/configs/memspecs/MICRON_4Gb_DDR4-2400_8bit_A.xml
DISTFILES += resources/configs/memspecs/MICRON_4Gb_LPDDR3-1333_32bit_A.xml
DISTFILES += resources/configs/memspecs/MICRON_4Gb_LPDDR3-1600_32bit_A.xml
DISTFILES += resources/configs/memspecs/SAMSUNG_K4B1G1646E_1Gb_DDR3-1600_16bit.xml
DISTFILES += resources/configs/memspecs/SAMSUNG_K4B4G1646Q_4Gb_DDR3-1066_16bit.xml
DISTFILES += resources/configs/memspecs/orgr_16Gb_ddr4.xml
DISTFILES += resources/configs/memspecs/wideio.xml
DISTFILES += resources/configs/memspecs/wideio_less_refresh.xml
DISTFILES += resources/configs/memspecs/MICRON_1Gb_DDR3-1600_8bit_G_less_refresh.xml
DISTFILES += resources/configs/memspecs/rgrspec.xml
DISTFILES += resources/configs/memspecs/MICRON_6Gb_LPDDR4-3200_NDA_NDA_NDA.xml

# Address Mapping Configs
DISTFILES += resources/configs/amconfigs/am_ddr3.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_x16_brc.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_x16_rbc.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_8x1Gbx8_dimm_p1KB_brc.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_8x1Gbx8_dimm_p1KB_rbc.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_8x2Gbx8_dimm_p1KB_brc.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_8x2Gbx8_dimm_p1KB_rbc.xml
DISTFILES += resources/configs/amconfigs/resources/configs/amconfigs/am_ddr4.xml
DISTFILES += resources/configs/amconfigs/am_highHits.xml
DISTFILES += resources/configs/amconfigs/am_highPara.xml
DISTFILES += resources/configs/amconfigs/am_wideio.xml
DISTFILES += resources/configs/amconfigs/am_lowHits.xml
DISTFILES += resources/configs/amconfigs/am_lowPara.xml
DISTFILES += resources/configs/amconfigs/am_wideioFourBanks.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_1Gbx8_p1KB_brc.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_4x4Gbx16_dimm_p2KB_brc.xml
DISTFILES += resources/configs/amconfigs/am_ddr3_4x4Gbx16_dimm_p2KB_rbc.xml
DISTFILES += resources/configs/amconfigs/rgram.xml
DISTFILES += resources/configs/amconfigs/am_test_congen_output.json
DISTFILES += resources/configs/amconfigs/am_lpddr4.xml

# Thermal Simulation configs
DISTFILES += resources/configs/thermalsim/core.flp
DISTFILES += resources/configs/thermalsim/mem.flp
DISTFILES += resources/configs/thermalsim/powerInfo.xml
DISTFILES += resources/configs/thermalsim/stack.stk
DISTFILES += resources/configs/thermalsim/config.xml

# Add DRAMPower
DISTFILES += src/common/third_party/DRAMPower/*
DISTFILES += src/common/third_party/DRAMPower/src/*

# Error Simulation data
DISTFILES += resources/error/wideio.csv
